Appearance
Track an event for a signed widget user​
POST
/widget/track
Browser requests must use an allowed widget Origin. Server-side SDK requests may omit Origin when they send the site public key as an Authorization Bearer token and a valid site-secret-signed X-User-Token header.
Authorizations​
BearerAuth
JWT token from login
Type
HTTP (bearer)
or
AccessToken
Personal access token. Value: Token <your-token>
Type
API Key (header: Authorization)
Parameters​
Header Parameters
Authorization*
Bearer site public key
Type
Requiredstring
X-User-Token*
Customer JWT signed with the site secret
Type
Requiredstring
Request Body​
application/json
JSON"event": "string","page": "string","metadata": {},"app_instance": "string","app_version": "string","app_location": "string","plan": "string"
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}
Responses​
Tracked
application/json
JSON"survey": "string"
{
 Â
}